This article was first published on: Litecoin Project - Medium --

Follow the Google+ page or Twitter for the latest dev news.

Summary
This is a minor update for openssl CVE-2014–0224. Generally users of v0.8.7.1 do not need to upgrade to v0.8.7.2 unless they are using RPC SSL, a feature that is disabled by default and rarely used.

Technical Changelog

  • v0.8.7.2
  • Mac and Windows Official Gitian Builds: upgrade to openssl-1.0.1h for CVE-2014–0224
  • Linux Gitian build uses Lucid 0.9.8k-7ubuntu8.18
  • v0.8.7.1
  • Mac and Windows: upgrade to openssl-1.0.1g for CVE-2014–0160
  • All past Linux binaries were not vulnerable due to Lucid’s openssl-0.9.8k.
  • Upgrade openssl, qt, miniupnpc, zlib, libpng, qrencode.
  • Many bug fixes from Bitcoin 0.8.7rc stable branch including transaction malleability mitigation backports from 0.9.
  • Add testnet checkpoints.
  • Add new testnet seed.
  • v0.8.6.2
  • Windows only: Fixes issue where network connectivity can fail.
  • Minor fixes:
  • Display Litecoin instead of Bitcoin in the Coin Control change address dialog
  • Fix custom build on MacOS X 10.9
  • Fix QT5 custom build
  • Update Deb...

This content is synced from the rightful owners. Copyright on text and images belong to the original source. -- This article was first published on: Litecoin Project - Medium